Page MenuHomeFreeBSD

Rack from Netflix
ClosedPublic

Authored by rrs on May 23 2018, 12:12 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Apr 21, 5:53 PM
Unknown Object (File)
Mon, Apr 1, 1:12 PM
Unknown Object (File)
Mar 25 2024, 12:33 PM
Unknown Object (File)
Mar 17 2024, 2:00 AM
Unknown Object (File)
Mar 12 2024, 9:28 PM
Unknown Object (File)
Feb 23 2024, 7:57 AM
Unknown Object (File)
Feb 16 2024, 7:59 PM
Unknown Object (File)
Feb 9 2024, 2:13 AM

Details

Summary

This is the first cut at placing the rack that Netflix is using into
the FreeBSD tree. It includes all the ground work as well for
BBR (which is the follow on module still being developed jointly
with google).

There are a few places in here where I added
#ifdef NETFLIX_xxxx
where xxx is STATS (which lstewart plans to upstream eventually)

 CWV (A attempt of congestion window validation)
TCPOUDP (A implementation that runs TCP over UDP that we are working on)

Most all of these will be upstreamed or we will at least off them upstream eventually.

Test Plan

Build this critter and run iperf and other fun with the default set to rack
making sure the connections work like they do at NF.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 7 2018, 6:18 PM
This revision was automatically updated to reflect the committed changes.